<template>
    <v-container class="grey lighten-5">
        <h1>Admin page</h1>
        <v-btn v-on:click="() => requestEvent('/product/load')">Update Product</v-btn>
        <v-btn v-on:click="() => requestEvent('/promotion/load')">Update Promotion</v-btn>
        <v-btn v-on:click="() => requestEvent('/order/end-day')">end day</v-btn>
        <v-btn v-on:click="() => requestEvent('/sim/create-client')">Create random account</v-btn>
        <v-btn v-on:click="() => requestEvent('/sim/make-order')">Create random order</v-btn>
        <v-btn v-on:click="() => requestEvent('/web-sales')">Get order day</v-btn>
        <div>
            <h2>request result</h2>
            <p>
                status :  <br/> {{status}}
            </p>
            <p>
                data : <br/> {{request}}
            </p>
        </div>
    </v-container>
</template>

<script>
import axios from 'axios';
export default {
  name: 'Market',
  components: {
  },
  data: () => ({
      request: "",
      status: "",
  }),
methods: {
        requestEvent (route) {
            axios
      .get(process.env.VUE_APP_URL_E_COMMERCE + route)
      .then(response => {
          this.request = response.data;
          this.status = response.statusText;
        });
        },
    },
};
</script>